﻿//// Deplacement BB8 ///////////////////////////////////////
//// Script par http://www.upln.fr
////////////////////////////////////////////////////////////
//// Vous pouvez utiliser ce script dans vos projet 
//// Un simple remerciement dans votre jeu est requis :)
////////////////////////////////////////////////////////////

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BB8Controller : MonoBehaviour
{
    public GameObject head;
    public int speed = 10;
    public float hauteurhead = 1f;
    float yRotation;
    public float rotHead = 10;

    void FixedUpdate()
    {

        float h = Input.GetAxis("Horizontal");
        float v = Input.GetAxis("Vertical");

        GetComponent<Rigidbody>().AddForce(Vector3.forward * speed * v);
        GetComponent<Rigidbody>().AddForce(Vector3.right * speed * h);

        if(h==0 && v==0)
        {
            GetComponent<Rigidbody>().angularVelocity = Vector3.zero;
        }
   

        if(h!=0)
        {
            yRotation += h * rotHead;
            yRotation = Mathf.Clamp(yRotation, -100, 142);
            head.transform.eulerAngles = new Vector3(0, yRotation, 0);
        }

        if (v!=0)
        {
            yRotation += v * rotHead;
            yRotation = Mathf.Clamp(yRotation, -170, 0);
            head.transform.eulerAngles = new Vector3(0, yRotation, 0);
        }

    }

    private void Update()
    {
        head.transform.position = new Vector3(transform.position.x, transform.position.y + hauteurhead, transform.position.z);
       
    }
}
